#
# spec file for package perl-Mixin-Event-Dispatch
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Mixin-Event-Dispatch
Version:        2.000
Release:        1.9
%define cpan_name Mixin-Event-Dispatch
Summary:        Mixin Methods for Simple Event/Message Dispatch Framework
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Mixin-Event-Dispatch/
Source0:        http://www.cpan.org/authors/id/T/TE/TEAM/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(List::UtilsBy)
BuildRequires:  perl(Test::CheckDeps) >= 0.010
BuildRequires:  perl(Test::Fatal) >= 0.010
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::Refcount) >= 0.07
BuildRequires:  perl(parent)
Requires:       perl(List::UtilsBy)
Requires:       perl(parent)
%{perl_requires}

%description
Add this in as a parent to your class, and it'll provide some methods for
defining event handlers (the /subscribe_to_event manpage or the
/add_handler_for_event manpage) and calling them (the /invoke_event
manpage).

Note that handlers should return 0 for a one-off handler, and 1 if it
should be called again on the next event.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README

%changelog
* Mon Sep 14 2015 coolo@suse.com
- updated to 2.000
  see /usr/share/doc/packages/perl-Mixin-Event-Dispatch/Changes
  2.000     2015-09-14 02:23:55+01:00 Europe/London
  No new features.
  Marking dev version as stable.
  1.999_002 2015-08-10 01:22:34+01:00 Europe/London (TRIAL RELEASE)
  No new features.
  Tests:
  * Include t/moose-role.t, which uses MooseX::MarkAsMethods to populate
  a Moose role. Note that passing autoclean => 1 means the ->mark_as_methods
  call would need to be wrapped in a BEGIN block or similar.
  1.999_001 2015-08-09 22:43:51+01:00 Europe/London (TRIAL RELEASE)
  Features:
  * Mixin::Event::Dispatch::Methods for importing without inheriting
  * Removed mention of ->trace_events_for, this was removed a while ago
  due to performance issues anyway
* Thu Apr 16 2015 coolo@suse.com
- updated to 1.006
  see /usr/share/doc/packages/perl-Mixin-Event-Dispatch/Changes
  1.006     2014-08-17 09:35:37+01:00 Europe/London
  Features:
  * Provide Mixin::Event::Dispatch::Bus so that other modules don't have to
  include their own bus (empty class with constructor that inherits from
  M::E::D)
  1.005     2014-08-09 10:55:28+01:00 Europe/London
  No new features
  Dependency fixes:
  * Remove unused Try::Tiny dep
* Tue Oct  1 2013 coolo@suse.com
- initial package 1.004
  * created by cpanspec 1.78.07
